package com.ssyf.module.robot.service;

import com.github.pagehelper.PageInfo;
import com.ssyf.module.robot.domain.entity.MessageTemplate;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ssyf.module.robot.domain.entity.MessageTemplate;
import com.ssyf.module.robot.domain.query.MessageTemplateQuery;

import java.util.List;

/**
* @author ELSA
* @description 针对表【message_template(消息模板表)】的数据库操作Service
* @createDate 2026-01-19 15:11:13
*/
public interface MessageTemplateService extends IService<MessageTemplate> {
    /**
     * 创建分组
     * @param query
     * @return
     */
    MessageTemplate addOne(MessageTemplateQuery query);

    /**
     * 删除指定分组
     * @param uid
     */
    void removeByUid(String uid);
    void removeBatchByUids(List<String> uids);
    /**
     * 更新指定分组
     * @param uid
     * @param query
     */
    void updateByUid(String uid, MessageTemplateQuery query);

    /**
     * 获取指定分组
     * @param uid
     * @return
     */
    MessageTemplate getOneByUid(String uid);

    /**
     * 分页获取数据
     * @param query
     * @return
     */
    PageInfo<MessageTemplate> getPage(MessageTemplateQuery query);

    /**
     * 获取数据
     * @param query
     * @return
     */
    List<MessageTemplate> getList(MessageTemplateQuery query);

    MessageTemplate checkedExistAndGet(String uid);

    /**
     * 总数统计
     * @param query
     * @return
     */
    Integer countBy(MessageTemplateQuery query);

    List<MessageTemplate> getListByType(String type);
}
